<div id="sidebar-border">
<div id="sidebar">

<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar() ) : ?>
<ul>

	<li class="widget">
		<h3>Рубрики</h3>
		<div>
			<form action="<?php bloginfo('url'); ?>/" method="get">
				<?php
				$select = wp_dropdown_categories('show_option_none=Выбор рубрики&show_count=1&orderby=name&echo=0');
				$select = preg_replace("#<select([^>]*)>#", "<select$1 onchange='return this.form.submit()'>", $select); echo $select; ?>
				<noscript><input type="submit" value="Посмотреть" /></noscript>
			</form>
		</div>
	</li>

<?php if (is_single()) { ?>
	<li class="widget">
		<h3>Новое на сайте</h3>
		<ul>
			<?php
			$myposts = get_posts('numberposts=5&offset=0&category=0');
			foreach($myposts as $post) : setup_postdata($post);
			?>
			<li><span><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></span></li>
			<?php endforeach; ?>
		</ul>
	</li>
<?php } else { ?>
	<li class="widget">
		<h3>Случайные статьи</h3>
		<ul>
			<?php
			$rand_posts = get_posts('numberposts=5&orderby=rand');
			foreach( $rand_posts as $post ) :
			?>
			<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
			<?php endforeach; ?>
		</ul>
	</li>
<?php } ?>

	<li class="widget">
		<h3>Поиск по меткам</h3>
		<div><?php wp_tag_cloud('smallest=9&largest=18'); ?></div>
	</li>	

	<li class="widget">
		<h3>Архивы</h3>
		<div>
			<select name=\"archive-dropdown\" onChange='document.location.href=this.options[this.selectedIndex].value;'>
				<option value=\"\"><?php echo attribute_escape(__('Выбор месяца')); ?></option>
				<?php wp_get_archives('type=monthly&format=option&show_post_count=1'); ?>
			</select>
		</div>
	</li>

<?php if (is_home()) { ?>
	<li class="widget">
		<h3>Ссылки</h3>
		<ul class="zsofa-links">
			<?php wp_list_bookmarks('title_li=&categorize=0&orderby=id'); ?>
		</ul>
		<div class="fixed"></div>
	</li>
<?php } ?>

</ul>
<?php endif; ?>
</div>
</div>